@echo off
echo DARKLORD sound setup
echo --------------------
echo This procedure will setup the sound directory for this scenario.
echo Some files will be copied from the civ2 sound directory.
echo Some files will be duplicated from this scenario's sound directory.
echo If succesful, the following sounds will be created.
echo volcano.wav, infantry.wav, mchnguns.wav, cavalry.wav
echo nukexplo.wav, navbttle.wav
echo jetcombt.wav, aircombt.wav, engnsput.wav, jetsputr.wav, helishot.wav
echo custom1.wav thru custom3.wav, extra1.wav thru extra8.wav, medgun.wav
pause
if not exist ..\..\..\sound\*.* goto :majorerror 

if exist ..\..\..\sound\volcano.wav copy ..\..\..\sound\volcano.wav
if not exist ..\..\..\sound\volcano.wav echo volcano.wav not created

if exist ..\..\..\sound\swordfgt.wav copy ..\..\..\sound\swordfgt.wav infantry.wav
if not exist ..\..\..\sound\swordfgt.wav echo infantry.wav not created

if exist ..\..\..\sound\swordfgt.wav copy ..\..\..\sound\swordfgt.wav mchnguns.wav
if not exist ..\..\..\sound\swordfgt.wav echo mchnguns.wav not created

if exist ..\..\..\sound\swrdhors.wav copy ..\..\..\sound\swrdhors.wav cavalry.wav
if not exist ..\..\..\sound\swrdhors.wav echo cavalry.wav not created

if exist ..\..\..\sound\biggun.wav copy ..\..\..\sound\biggun.wav navbttle.wav
if not exist ..\..\..\sound\biggun.wav echo navbttle.wav not created

if exist ..\..\..\sound\largexpl.wav copy ..\..\..\sound\largexpl.wav nukexplo.wav
if not exist ..\..\..\sound\largexpl.wav echo nukexplo.wav not created

if exist jetbomb.wav copy jetbomb.wav jetcombt.wav
if not exist jetbomb.wav echo jetcombt.wav not created

if exist jetbomb.wav copy jetbomb.wav helishot.wav
if not exist jetbomb.wav echo helishot.wav not created

if exist divebomb.wav copy divebomb.wav aircombt.wav
if not exist divebomb.wav echo aircombt.wav not created

if exist divcrash.wav copy divcrash.wav engnsput.wav
if not exist divcrash.wav echo engnsput.wav not created

if exist jetcrash.wav copy jetcrash.wav jetsputr.wav
if not exist jetcrash.wav echo jetsputr.wav not created

if exist missile.wav copy missile.wav custom1.wav
if not exist missile.wav echo custom1.wav not created

if exist missile.wav copy missile.wav custom2.wav
if not exist missile.wav echo custom2.wav not created

if exist missile.wav copy missile.wav custom3.wav
if not exist missile.wav echo custom3.wav not created

if exist missile.wav copy missile.wav extra1.wav
if not exist missile.wav echo extra1.wav not created

if exist missile.wav copy missile.wav extra5.wav
if not exist missile.wav echo extra5.wav not created

if exist missile.wav copy missile.wav extra6.wav
if not exist missile.wav echo extra6.wav not created

if exist missile.wav copy missile.wav extra7.wav
if not exist missile.wav echo extra7.wav not created

if exist missile.wav copy missile.wav extra8.wav
if not exist missile.wav echo extra8.wav not created

if exist missile.wav copy missile.wav medgun.wav
if not exist missile.wav echo medgun.wav not created

if exist ..\..\..\sound\cavalry.wav copy ..\..\..\sound\cavalry.wav extra2.wav
if not exist ..\..\..\sound\cavalry.wav echo extra2.wav not created

if exist ..\..\..\sound\cavalry.wav copy ..\..\..\sound\cavalry.wav extra3.wav
if not exist ..\..\..\sound\cavalry.wav echo extra3.wav not created

if exist ..\..\..\sound\cavalry.wav copy ..\..\..\sound\cavalry.wav extra4.wav
if not exist ..\..\..\sound\cavalry.wav echo extra4.wav not created

echo this procedure is done
pause
exit

:majorerror
echo The CIV2\SOUND directory could not be found.
echo Please view the readme.txt file for troubleshooting information.
pause